/*------------------------------------*\
    #MENU-MAIN-TOGGLE
\*------------------------------------*/
/**
 * Main navigation toggle component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-main-toggle,
%#{$inuit-namespace}menu-main-toggle {

    @include frs-hover {
        text-decoration: none;
    }

    @media #{$large-up}{
        height: $frs-base-unit;
        width: $frs-base-unit * 4;
    }

    &--open {
        background-color: $frs-color-blue;
        cursor:pointer;
    }

    &--close {
        background-color: darken($frs-color-blue, 20);

        cursor:pointer;
        fill: $frs-color-white;
        stroke: $frs-color-white;
        @include frs-hover {
            svg {
                fill: $frs-color-white;
                stroke: $frs-color-white;
            }
        }

    }
}

.#{$inuit-namespace}menu-main-toggle__icon-wrap,
%#{$inuit-namespace}menu-main-toggle__icon-wrap {
    @extend %o-icon-button;
    display: none;

    &.is-active {
        display: inline-block;
    }

    &:hover {
        background-color: darken($frs-color-blue, 20);
    }
}

.#{$inuit-namespace}menu-main-toggle--animate,
%#{$inuit-namespace}menu-main-toggle--animate {
    transform: rotate(180deg);
}

.#{$inuit-namespace}menu-main-toggle__icon,
%#{$inuit-namespace}menu-main-toggle__icon {
    @extend %o-icon-button__icon;
    transition: all .4s ease-in-out;
    padding: 9px;

    @media #{$large-up}{
        padding: 12px;
    }
}

.#{$inuit-namespace}menu-main-toggle__label,
%#{$inuit-namespace}menu-main-toggle__label {
    color: $frs-color-blue;
    text-align: right;
    display: inline-block;
    line-height: $frs-base-unit-small;
    padding: .2rem .5rem .3rem;
    vertical-align: top;
    width: 123px;

    @media #{$large-up}{
        height: $frs-base-unit;
        width: rem-calc(145px);
        line-height: $frs-base-unit;
    }
}

@if $theme == "reloaded" {
    .#{$inuit-namespace}menu-main-toggle,
    %#{$inuit-namespace}menu-main-toggle {
        cursor:pointer;
        &--open {
            color:$frs-color-grey;
            background-color: $frs-color-white;
            svg {
                fill: $frs-color-grey;
                stroke: $frs-color-grey;
            }
            @include frs-hover {
                color:$frs-color-white;
                background-color: $frs-color-grey;
                svg {
                    fill: $frs-color-white;
                    stroke: $frs-color-white;
                }
            }
        }

        &--close {
            color:$frs-color-white;
            background-color: $frs-color-grey;
            svg {
                fill: $frs-color-white;
                stroke: $frs-color-white;
            }
            @include frs-hover {
                color:$frs-color-white;
                background-color: $frs-color-grey;
                svg {
                    fill: $frs-color-white;
                    stroke: $frs-color-white;
                }
            }
        }
    }
    .#{$inuit-namespace}menu-main-toggle__label,
    %#{$inuit-namespace}menu-main-toggle__label {
        color: $frs-color-grey;
    }
}
